%define section		free

Name:		rome
Version:	0.9
Release:	1%{dist}
Epoch:		0
Summary:	Rome, Atom/RSS Java utilities
License:	Apache Software License
Url:		https://rome.dev.java.net/
Group:		Development/Libraries/Application Frameworks
#Vendor:		JPackage Project
#Distribution:	JPackage
Source0:	rome-0.9-src.tar.gz
# curl -o rome-0.9-src.tar.gz 'https://rome.dev.java.net/source/browse/*checkout*/rome/www/dist/rome-0.9-src.tar.gz?rev=1.1'
Source1:        pom-maven2jpp-depcat.xsl
Source2:        pom-maven2jpp-newdepmap.xsl
Source3:        pom-maven2jpp-mapdeps.xsl
Source4:        rome-0.9-jpp-depmap.xml
Source5:        rome-0.9-navigation.xml
Source6:        http://repo1.maven.org/maven2/rome/rome/0.9/rome-0.9.pom
BuildRequires:	maven >= 0:1.1
BuildRequires:	maven-plugins-base
BuildRequires:	maven-plugin-changelog
BuildRequires:	maven-plugin-changes
BuildRequires:	maven-plugin-checkstyle
BuildRequires:	maven-plugin-developer-activity
BuildRequires:	maven-plugin-dist
BuildRequires:	maven-plugin-file-activity
BuildRequires:	maven-plugin-jdepend
BuildRequires:	maven-plugin-jxr
BuildRequires:	maven-plugin-license
BuildRequires:	maven-plugin-linkcheck
BuildRequires:	maven-plugin-site
BuildRequires:	maven-plugin-tasklist
BuildRequires:	maven-plugin-test
BuildRequires:	maven-plugin-xdoc
BuildRequires:	junit
BuildRequires:	jdepend
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:	ant >= 0:1.6.5
BuildRequires:	saxon
BuildRequires:	saxon-scripts
BuildRequires:	jdom

Requires:	jdom
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Requires(post):    jpackage-utils >= 0:1.7.5
Requires(postun):  jpackage-utils >= 0:1.7.5

%description
Rome is a set of Atom/RSS Java utilities that make it easy to 
work in Java with most syndication formats. Today it supports 
all flavors of RSS (0.90, 0.91, 0.92, 0.93, 0.94, 1.0 and 2.0) 
and Atom 0.3 feeds. Rome includes a set of beans, parsers and 
generators for the various flavors of syndication feeds, as 
well as converters to convert from one feed type to another. 
It also includes a generic normalized SyndFeed class that 
lets you work with any feed type without bothering about the 
feed type.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done
mkdir xdocs
cp %{SOURCE5} xdocs/navigation.xml

#%patch0 -b .sav

%build
export DEPCAT=$(pwd)/%{name}-%{version}-depcat.new.xml
echo '<?xml version="1.0" standalone="yes"?>' > $DEPCAT
echo '<depset>' >> $DEPCAT
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    /usr/bin/saxon project.xml %{SOURCE1} >> $DEPCAT
    popd
done
echo >> $DEPCAT
echo '</depset>' >> $DEPCAT
/usr/bin/saxon $DEPCAT %{SOURCE2} > %{name}-%{version}-depmap.new.xml
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    cp project.xml project.xml.orig
    /usr/bin/saxon -o project.xml project.xml.orig %{SOURCE3} map=%{SOURCE4}
    popd
done

#for p in $(find . -name project.properties); do
#    echo >> $p
#    echo maven.repo.remote=file:/usr/share/maven/repository >> $p
#    echo maven.home.local=$(pwd)/.maven >> $p
#done
#
#mkdir -p .maven/repository/maven/jars
#build-jar-repository .maven/repository/maven/jars maven-jelly-tags
#
#mkdir -p .maven/repository/JPP/jars
#build-jar-repository -s -p .maven/repository/JPP/jars \
#jdom \


export MAVEN_HOME_LOCAL=$(pwd)/.maven

maven \
	-Dmaven.repo.remote=file:/usr/share/maven/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 \
target/%{name}-%{version}.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 %{SOURCE6} \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap %{name} %{name} %{version} JPP %{name}

# create unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf target/docs/apidocs

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr target/docs/* \
	$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files 
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/license.html
%{_javadir}/*.jar
%{_datadir}/maven2/poms
%{_mavendepmapfragdir}

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}

%changelog
* Mon Jul 14 2008 Ralph Apel <r.apel at r-apel.de> 0:0.9-1.jpp5
- 0.9
- Import to cvs
- Add pom and depmap frag

* Fri Oct 21 2005 Ralph Apel <r.apel at r-apel.de> 0:0.7-1jpp
- First JPackage build 
